<?php
ini_set("session.cookie_lifetime",60*60*10);
ini_set("session.gc_maxlifetime", 60*60*10);
session_start();
include("cls_conexion.php");$CNN=new ClsMySQL();include("conexion23.php");
if(strlen($_SESSION['SYS_USER_ID'])==0){JsDir("login.php");	return;}
//
if(vbval($_SESSION['SYS_USER_GI'])!=USU_GET_GI($_SESSION['SYS_USER_ID'])){
JsDir("cerrar.php");	
return;
}
//
//-------------------------
$StrId=V($_POST['TxtId']);
$StrCmd=V($_POST['TxtAc']);
//-------------------------
$StrEmp=V($_POST['CboEmp']);		
$StrAlm=V($_POST['CboAlm']);		
$StrEmpD=V($_POST['CboEmpD']);		
$StrAlmD=V($_POST['CboAlmD']);
$StrNum=V($_POST['TxtNum']);		
$TraSer=V($_POST['TraSer']);		
$TraNum=V($_POST['TraNum']);		
$StrDex=V($_POST['TxtDex']);		
$StrHax=V($_POST['TxtHax']);				
$StrSN=V($_POST['CboSN']);	
//
if(strlen($StrEmp)==0)$StrEmp=GE("S");
if(strlen($StrAlm)==0)$StrAlm=GA($StrEmp,"S");
//
if(strlen($StrEmpD)==0)$StrEmpD="TODOS";
if(strlen($StrAlmD)==0)$StrAlmD="TODOS";		
//-------------------------
$StrEmp_=LIKE($StrEmp);
$StrEmpD_=LIKE($StrEmpD);
$StrAlm_=LIKE($StrAlm);
$StrAlmD_=LIKE($StrAlmD);
//-------------------------
if(strlen($StrSN)==0) $StrSN="NO";
$StrNum_=$StrNum."%";
$StrDex_=val_dex($StrDex);
$StrHax_=val_hax($StrHax);
$TraSer_="%".$TraSer;
$TraNum_="%".$TraNum;
//-------------------------
$StrSN_=substr($StrSN,0,1);
//-------------------------	
$FF="ID>0 AND O_EMPC LIKE '$StrEmp_' AND D_EMPC LIKE '$StrEmpD_' AND 
ORI LIKE '$StrAlm_' AND DES LIKE '$StrAlmD_' AND 
NUM LIKE '$StrNum_' AND FEC >= '$StrDex_' AND 
FEC <= '$StrHax_' AND ANU LIKE '$StrSN_' AND 
TSER LIKE '$TraSer_' AND TNUM LIKE '$TraNum_' ";

include("trasferencias_b_fun.php");
$LStrTR=gn("count(*)","vtransferencias",$FF);				
$VP_RegXPag=1000;
$LStrPag=V($_POST['TxtPag']);
if($StrCmd=="F"){$LStrPag="1";}
$LStrPag=PagGet($LStrPag,$StrCmd,$LStrTR,$VP_RegXPag);
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Transferencias - Buscar</title>
<!--CSS_NEW------------------------------------->
<link rel="stylesheet" type="text/css" href="estiloss.css"  />
<link rel="stylesheet" type="text/css" href="basic.css"  />
<!--CSS_NEW------------------------------------->
<?php AddJs();?>
<script type="text/javascript" src="fe/funcionez.js"></script>
<script>
$(document).ready(function(){  
   Inicializar();
});
function EM_OC(){	
	var Emp=gv("CboEmp");	
	var r=AX("03",Emp);
	if(r=="X"){
		CBO_CLS("CboAlm",1);
	}else{
		CBO_FILL("CboAlm",r,0);
	}
}
function EM_OCD(){
	var Emp=gv("CboEmpD");	
	var r=AX("01",Emp);
	if(r=="X"){
		CBO_CLS("CboAlmD",1);
	}else{
		CBO_FILL("CboAlmD",r,0);
	}
}
//----------------------------
function fGenPDF(){
	var eo =gv("CboEmp");
	var ao =gv("CboAlm");
	var ed =gv("CboEmpD");
	var ad =gv("CboAlmD");
	if(eo=="TODOS"){
		alert("Seleccione una empresa de origen");
		jF("CboEmp");return;
	}
	if(ao=="TODOS"){
		alert("Seleccione un almacen de origen");
		jF("CboAlm");return;
	}

	if(ed=="TODOS"){
		alert("Seleccione una empresa de destino");
		jF("CboEmpD");return;
	}
	if(ad=="TODOS"){
		alert("Seleccione un almacen de destino");
		jF("CboAlmD");return;
	}

	document.getElementById("TxtAc").value="GEN_PDF_2";
	document.getElementById("Frm").submit();
}
</script>

<script language="javascript">
$(document).ready(function() {
	$(".botonExcel").click(function(event) {
		$("#datos_a_enviar").val( $("<div>").append( $("#Exportar_a_Excel").eq(0).clone()).html());
		$("#FormularioExportacion").submit();
});
});
</script>
<script>
$(document).ready(function(){
$("#TxtDex").mask("99-99-99");
$("#TxtHax").mask("99-99-99");
});
</script>

<style type="text/css">
<!--
body {
	background-color: #CCC;
}
#Layer1 {
	position:absolute;
	left:345px;
	top:115px;
	width:123px;
	height:35px;
	z-index:1;
}
.centrarFrm{
	width:1000px;
	height:600px;
	position:absolute;
	left:<?php echo "50%";?>;
	top:<?php echo "50%";?>;
	background-color:#006699;
	margin:<?php echo "-300px 0 0 -500px";?>;
}
#Layer2 {
	position:absolute;
	left:409px;
	top:205px;
	width:82px;
	height:24px;
	z-index:1;
}
.Estilo1 {
	font-family: Arial, Helvetica, sans-serif;
	font-weight: bold;
	color: #FFFFFF;
}
.f2 {font-family: Arial, Helvetica, sans-serif; font-weight: bold; color: #FFFFFF; font-size: 12px; }
.Estilo3 {color: #FFFFFF; font-size: 12px; font-family: Arial, Helvetica, sans-serif;}
.x4 {color: #000099}
.Estilo5 {color: #000000}

-->
</style>

</head>
<body  onload="jFocus('CboEmp');">
<div Id="DivFRM"  class="centrarFrm" >
<form id="Frm" name="Frm" method="post" 
action="transferencias_buscar.php">
<div id="layer5" style="position:absolute; left: 116px; top: 50px; width: 430px; height: 28px;">
<div align="left" class="f2">
<input name="CmdV" type="button" id="CmdV" 
value="Volver" onclick="fVolver('transferencias.php?TxtAc=X');" />

<input name="CmdPDF" type="button" id="CmdPDF" 
value="Generar PDF" onclick="fGenPDF();"  
tabindex="<?php echo ++$TI;?>" />


</div>
</div>

<div id="layer3" style="position:absolute; left: 30px; top: 156px; width: 949px; height: 399px; overflow:auto">
<div align="left" class="f2">
<table id="Exportar_a_Excel" width="924" height="19" border="1" cellpadding="0" cellspacing="0">

<tr>
<td height="18" colspan="6" bgcolor="#666666" align="center"><?php echo PagBtn($LStrTR,$VP_RegXPag,$LStrPag);?></td>
</tr>

<tr>
<td width="190" bgcolor="#999999"><span class="x4">ORIGEN</span></td>
<td width="204" bgcolor="#999999"><span class="x4">DESTINO</span></td>
<td width="184" bgcolor="#999999"><span class="x4">NUM.AUT</span></td>
<td width="116" bgcolor="#999999"><span class="x4">T.SERIE</span></td>
<td width="123" bgcolor="#999999"><span class="x4">T.NUMERO</span></td>
<td width="118" bgcolor="#999999"><span class="x4">FECHA</span></td>
</tr>
<?php
$s="SELECT ID,ORI,DES,NUM,DATE_FORMAT(FEC,'%d-%m-%y') AS FEC,TSER,TNUM,
	O_EMPC,D_EMPC 
	FROM vtransferencias WHERE ".$FF." ORDER BY ORI,DES,NUM,FEC  ";	
$s=PagSql($s,$LStrPag,$VP_RegXPag,$LStrTR);	  				
$X1="<td bgcolor=\"#FFFFFF\"><span class=\"Estilo5\">";
$X2="</span></td>";
//echo $s."<br>";
$result = grs($s);				
while ($row = $result->fetch_assoc()){
	echo "<tr ondblclick=\"location.href='transferencias.php?Id=$row[ID]&Pag=0';\">";
	echo $X1.$row['O_EMPC']." / ".$row['ORI'].$X2;
	echo $X1.$row['D_EMPC']." / ".$row['DES'].$X2;
	echo "<td bgcolor=\"#FFFFFF\">
		  <a target=\"_blank\" href=\"transferencias.php?Id=$row[ID]\">'$row[NUM]</a></td>";
	echo $X1.$row['TSER'].$X2;
	echo $X1.$row['TNUM'].$X2;
	echo $X1.$row['FEC'].$X2;
	echo "</tr>";
}
?>		  

</table>
</div>
</div>


<div id="layer" style="position:absolute; left: 116px; top: 30px; width: 412px; height: 24px;">
<div align="left" class="Estilo1">TRANSFERENCIAS - BUSCAR
<input name="TxtId" type="hidden" id="TxtId" value="<?php echo $StrId;?>"/>
<input name="TxtPag" type="hidden" id="TxtPag" value="<?php echo $LStrPag; ?>" />
<input name="TxtAc" type="hidden" id="TxtAc" value="" />
<input name="FEC_SERVER" type="hidden" id="FEC_SERVER" value="<?php echo date("d-m-y");?>"/>  
</div>
</div>
<div id="LblTit" style="position:absolute; left: 57px; top: 25px; width: 64px;">
<div align="left" class="Estilo1"><img src="img/buscar.png" width="57" height="60" /></div>
</div>	

<div style="position:absolute; left:30px; top: 96px; width: 79px; height: 28px;">
<div align="left" class="f2">EMPRESA ORIGEN</div>
</div>
<select name="CboEmp" id="CboEmp" 
style="position:absolute; left:30px; top:127px; width: 104px;" 
onchange="EM_OC();"
onkeydown="return SoloTextoEx(event,'CboAlm');" tabindex="1">
<?php 
	echo LE($StrEmp,"S","N"); 
?>
</select>

<div style="position:absolute; left: 142px; top: 96px; width: 87px; height: 30px;">
<div align="left" class="f2">ALMACEN ORIGEN</div>
</div>
<select name="CboAlm" id="CboAlm" 
style="position:absolute; left: 140px; top: 127px; width: 94px;"  tabindex="1"
onkeydown="return SoloTextoEx(event,'CboAlmD');">
<?php
	echo LA($StrEmp,$StrAlm,"S","N");
?>
</select>

<div style="position:absolute; left:240px; top: 95px; width: 101px; height: 31px;">
<div align="left" class="f2">EMPRESA DESTINO</div>
</div>
<select name="CboEmpD" id="CboEmpD" 
style="position:absolute; left:240px; top:127px; width: 107px;" 
onchange="EM_OCD();"
onkeydown="return SoloTextoEx(event,'CboAlmD');" tabindex="1">
<?php 
	echo FCBO_("emp_nomc","empresas","id_emp>0",$StrEmpD,"S","N");
?>
</select>

<div style="position:absolute; left: 354px; top: 95px; width: 101px; height: 31px;">
<div align="left" class="f2">ALMACEN DESTINO</div>
</div>
<select name="CboAlmD" id="CboAlmD" 
style="position:absolute; left: 353px; top: 127px; width: 101px;"  tabindex="2"
onkeydown="return SoloTextoEx(event,'TxtNum');">
<?php 
	if(strlen($StrEmpD)==0 || $StrEmpD=="TODOS"){
		echo FCBO_("ANC","vis_almacenes","IDA>0 ",$StrAlmD,"S","N");
	}else{
		echo FCBO_("ANC","vis_almacenes","IDA>0 AND ENC ='$StrEmpD'",$StrAlmD,"S","N");
	}
?>
</select>

<div style="position:absolute; left: 464px; top: 94px; width: 97px; height: 33px;">
<div align="left" class="f2">CODIGO DE TRANSFERENCIA</div></div>
<input name="TxtNum" type="text" id="TxtNum" 
style="position:absolute; left: 463px; top: 127px; width: 97px;" 
value="<?php echo $StrNum;?>"  
onkeydown="return SoloTextoEx(event,'TraSer');"
tabindex="3" />

<div style="position:absolute; left: 568px; top: 94px; width: 120px; height: 16px;">
<div align="left" class="f2">TRANSFERENCIA</div></div>

<div style="position:absolute; left: 568px; top: 111px; width: 45px; height: 16px;">
<div align="left" class="f2">SERIE</div></div>

<input name="TraSer" type="text" id="TraSer" 
style="position:absolute; left:568px; top: 127px; width: 46px;" value="<?php echo $TraSer;?>"  
onkeydown="return SoloTextoEx(event,'TraNum');"  onblur="_S(this);"
tabindex="4" />

<div style="position:absolute; left:622px; top: 111px; width: 57px; height: 16px;">
<div align="left" class="f2">NUMERO</div></div>

<input name="TraNum" type="text" id="TraNum" 
style="position:absolute; left: 619px; top: 127px; width: 62px;" 
value="<?php echo $TraNum;?>"  onblur="_N(this);"
onkeydown="return SoloTextoEx(event,'TxtDex');"
tabindex="5" />


<div style="position:absolute; left: 690px; top: 95px; width: 45px;">
<div align="left" class="f2">DESDE</div>
</div>
<div class="EV" style="left: 687px; top: 111px; width: 88px; color:#FF0">
<u><a onclick="fFecServer('TxtDex')">(dd-mm-yy) +</a></u></div>
<input name="TxtDex" type="text" id="TxtDex" 
style="position:absolute; left: 690px; top: 127px; width: 73px;" 
value="<?php echo $StrDex;?>"  
onkeydown="return SoloFec(this,event,'TxtHax');"
tabindex="6" />


<div style="position:absolute; left: 772px; top: 95px; width: 60px;">
<div align="left" class="f2">HASTA</div>
</div>
<div class="EV" style="left: 770px; top: 111px; width: 88px; color:#FF0"><u><a onclick="fFecServer('TxtHax')">(dd-mm-yy) +</a></u></div>
<input name="TxtHax" type="text" id="TxtHax" 
style="position:absolute; left: 773px; top: 127px; width: 73px;" 
value="<?php echo $StrHax;?>"  
onkeydown="return SoloFec(this,event,'CboSN');"
tabindex="7" />


<div id="layer9" style="position:absolute; left: 854px; top: 111px; width: 67px;">
<div align="left" class="f2">ANULADO</div>
</div>

<select name="CboSN" id="CboSN" 
style="position:absolute; left: 854px; top: 127px; width: 60px;" 
onkeydown="return SoloTextoEx(event,'CmdB');" tabindex="8"> 
<?php
if($StrSN=="" || $StrSN=="NO"){
AD("NO",1);	AD("SI",0);
}else{
AD("NO",0);	AD("SI",1);
}
?>
</select>

<input name="CmdB" type="button" id="CmdB"
style="position:absolute; left: 925px; top: 127px; width: 51px;" tabindex="9"
value="Filtrar" onclick="fFiltrar();" />


</form>

<?php
if(strlen($StrDESCARGAR)>0){
echo "<div id=\"layer51\" 
	  style=\"position:absolute; left: 171px; top: 83px; 
	  width: 90px; background-color: #FFCC00; layer-background-color: #FFCC00; 
	  border: 1px none #000000; height: 17px;\">";
echo "<div align=\"center\" class=\"f2\"> ";
echo " <a href=\"$StrDESCARGAR\" download>Descarga.PDF</a> ";
echo "</div>";
echo "</div>";
}
?>

<div class="s1" style="left: 30px; top: 560px; width: 166px;">Doble Click sobre el registro para activar Actualizacion </div>

<form action="ficheroExcel.php" method="post" target="_blank" id="FormularioExportacion" >
<div style="position:absolute; left: 274px; top: 50px; width: 45px; height: 15px;">  
<input name="" type="button" class="botonExcel" value="Exportar" />
<input type="hidden" id="datos_a_enviar" name="datos_a_enviar" />
</div>
</form>

</div>
</body>
</html>
